namespace Edu.Model.ViewModel.System
{
    /// <summary>
    /// 系统菜单视图实体类
    /// </summary>
    public class RB_Menu_ViewModel : Model.Entity.System.RB_Menu
    {
        /// <summary>
        /// 菜单类型字符串
        /// </summary>
        public string MenuTypeStr
        {
            get
            {
                string str = "";
                if (this.MenuType > 0)
                {
                    switch (this.MenuType)
                    {
                        case 1: str = "管理端"; break;
                        case 2: str = "教师端"; break;
                        case 3: str = "助教端"; break;
                        case 4: str = "学生端"; break;
                    }
                }
                return str;
            }
        }

        /// <summary>
        /// 创建时间字符串
        /// </summary>
        public string CreateTimeStr { get { return Common.ConvertHelper.FormatTime(this.CreateTime); } }
    }
}